clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::InputsAndPreamble Struct Reference

`#include <TUScheduler.h>`

Collaboration diagram for clang::clangd::InputsAndPreamble:
[legend]

## Public Attributes
llvm::StringRef | Contents
const tooling::CompileCommand & | Command
const PreambleData * | Preamble

## Detailed Description

Definition at line 32 of file TUScheduler.h.

## Member Data Documentation

## ◆ Command

const tooling::CompileCommand& clang::clangd::InputsAndPreamble::Command

Definition at line 34 of file TUScheduler.h.

## ◆ Contents

llvm::StringRef clang::clangd::InputsAndPreamble::Contents

Definition at line 33 of file TUScheduler.h.

## ◆ Preamble

const PreambleData* clang::clangd::InputsAndPreamble::Preamble

Definition at line 35 of file TUScheduler.h.

The documentation for this struct was generated from the following file:

- TUScheduler.h